ServerEvents.recipes(function(e) {
    // giving clay a QOL recipe for landlocked earlygame players
    e.shapeless(
        Item.of("minecraft:clay_ball", 1),
        [
            "allthecompressed:dirt_1x",
            "7x minecraft:dirt"
        ]
    );

    // making ProjectE slightly harder
    e.remove({
        output: "projecte:philosophers_stone"
    });
    e.shaped(
        Item.of("projecte:philosophers_stone", 1),
        [
            "ABA",
            "BCB",
            "ABA"
        ], {
            A: "ae2:charged_certus_quartz_crystal",
            B: "minecraft:glowstone",
            C: "allthecompressed:diamond_block_1x"
        }
    );
    e.shaped(
        Item.of("projecte:philosophers_stone", 1),
        [
            "BAB",
            "ACA",
            "BAB"
        ], {
            A: "ae2:charged_certus_quartz_crystal",
            B: "minecraft:glowstone",
            C: "allthecompressed:diamond_block_1x"
        }
    );

    // torcherino is OP, with the 81 torches torch being able to >300x tick accel a 9x3x9 area (high potential for lag too)
    // you probably dont need these!!! (use Entity Speed Ticker) but if you must... the path wont be easy
    e.remove({
        output: "torcherino:torcherino"
    });
    e.shaped(
        Item.of("torcherino:torcherino", 1),
        [
            "ABA",
            "CDC",
            "ABA"
        ], {
            A: "ape:encased_dragonsteel_ingot",
            B: "allthemodium:unobtainium_block",
            C: "mysticalagradditions:withering_soul",
            D: "projecttimemaster:time_watch_mk8"
        }
    );

    // giving the Entity Speed Ticker a balanced recipe
    e.shaped(
        Item.of("extendedae_plus:entity_speed_ticker", 1),
        [
            "ABA",
            "CDC",
            "ABA"
        ], {
            A: "allthemodium:unobtainium_ingot",
            B: "expandedae:exp_crafting_accelerator_1k",
            C: "advanced_ae:quantum_accelerator",
            D: "composite_material:echoium_block"
        }
    );
    
    // making AllTheImbaium things harder because this mod is OP, has things like fluid duping and resource generation
    e.remove({
        output: "alltheimbaium:package_material_x1"
    });
    e.shaped(
        Item.of("alltheimbaium:package_material_x1", 1),
        [
            "CDC",
            "AEB",
            "CDC"
        ], {
            A: "reliquary:fertile_essence",
            B: "#forge:nether_stars",
            C: "bedrockcrafter:compact_obsidian",
            D: "#minecraft:logs",
            E: "#forge:gears/diamond"
        }
    );
    
    // actuallyadditions item that was also dirt cheap
    e.remove({
        output: "actuallyadditions:lens_of_disruption"
    });
    e.shaped(
        Item.of("actuallyadditions:lens_of_disruption", 1),
        [
            "AAA",
            "ABA",
            "AAA"
        ], {
            A: "kubejs:the_greedy_completion",
            B: "actuallyadditions:lens"
        }
    );
    
    // giving Quark's Matrix Enchanting Table a recipe
    e.shaped(
        Item.of("quark:matrix_enchanter", 1),
        [
            " A ",
            "ABA",
            " A "
        ], {
            A: "minecraft:amethyst_shard",
            B: "minecraft:enchanting_table"
        }
    );
    
    // removing an EMC dupe from emeralds
    e.remove({
        id: "projecte:conversions/diamond_to_emerald"
    });
});